#
# spec file for package dbus-sharp2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Define _libexecdir for <= 1110
%if 0%{?suse_version} <= 1110
%define _libexecdir %{_prefix}/lib
%endif

Name:           dbus-sharp2
Version:        0.8.1
Release:        bp153.1.18
Summary:        Managed C# implementation of D-Bus
License:        MIT
Group:          Development/Libraries/Other
Url:            http://mono.github.com/dbus-sharp/
Source0:        https://github.com/mono/dbus-sharp/releases/download/v%{version}/dbus-sharp-%{version}.tar.gz
Patch0:         fix-delay-sign.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildArch:      noarch
%if 0%{?suse_version} >= 1130
BuildRequires:  pkgconfig(mono)
%else
BuildRequires:  mono-devel
%endif

%description
This is DBus-Sharp, a fork of ndesk-dbus or simply a C# implementation
of D-Bus.

It is a clean-room implementation based on the D-Bus Specification
Version 0.11 and study of the wire protocol of existing tools.

%package devel
Summary:        Managed C# implementation of D-Bus
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
This is DBus-Sharp, a fork of ndesk-dbus or simply a C# implementation
of D-Bus.

It is a clean-room implementation based on the D-Bus Specification
Version 0.11 and study of the wire protocol of existing tools.

%prep
%setup -q -n dbus-sharp-%{version}
%patch0 -p1

%build
autoreconf -fiv
%configure \
   --libdir=%{_libexecdir}
make %{?_smp_mflags}

%install
# For backward compatability with <= 1110
make DESTDIR=%{buildroot} install
# Move .pc file to /usr/share/pkgconfig (for no arch) and remove from libdir
install -Dm 0644 dbus-sharp-2.0.pc %{buildroot}%{_datadir}/pkgconfig/dbus-sharp-2.0.pc
find %{buildroot}%{_libexecdir} -name dbus-sharp-2.0.pc -type f -print -delete

%files
%defattr(-,root,root)
%doc COPYING README
%{_libexecdir}/mono/gac/dbus-sharp/
%{_libexecdir}/mono/dbus-sharp-2.0/

%files devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/dbus-sharp-2.0.pc

%changelog
* Tue May  2 2017 fwdsbs.to.11df@xoxy.net
- add fix-delay-sign.patch: check that dll installed to GAC is delay-signed and perform full-sign if so.
- fix build with upcoming mono 5.0: sign delay-signed dlls before adding it to GAC, mono 5.0 is not allowing to install delay-signed dlls into GAC
* Wed Apr 22 2015 p.drouand@gmail.com
- Fix the spec/changes name
* Sun Jan  4 2015 p.drouand@gmail.com
- Update to version 0.8.1
  +  Fix compilation with recent Mono versions
  +  Improve compatibility on Win32
  +  Fix unknown method error handling (bgo#725446)
- Remove dbus-sharp-signal-dispatch.patch; fixed on upstream release
- Use download Url as source
* Fri Sep 28 2012 dimstar@opensuse.org
- Add dbus-sharp-signal-dispatch.patch: Fix broken signal dispatch.
  The signals for example do not reach applications like tomboy,
  which avoids them from closing down on session termination, until
  they are forcibly killed by the session manager (bnc#780933).
* Mon Jul 11 2011 nmarques@opensuse.org
- Removed %%clean section (no longer required)
* Fri Jul  1 2011 nmarques@opensuse.org
- Spec cleanups:
  + Removed entries related to Fedora packaging;
  + Minor cleanups on syntax and improved comments;
  + Use pkgconfig() calls for >= 1130
  + For <= 1110 added %%{_libexecdir} and replaced %%make_install
    method.
  + Enabled parallel builds (tested ok).
  + Removed nuking of buildroot on %%clean.
* Mon Jan 10 2011 michal@sawicz.net
- Initial package, based on ndesk-dbus from the Mono OBS project
